import { RouterService } from '../Router';
import { ServerService } from '../Server';
import { ControllerManager } from '../Controller';
import { ResponseService } from '../Response';
import { ModuleManager } from '../ModuleManager';
import { Config, ConfigType } from '../Config';
import { ServiceManager } from '../ServiceManager';
import { LoggerService } from '../Logger/LoggerService';
export declare class Application {
    private readonly config;
    private readonly serviceManager;
    private logger;
    private router;
    private server;
    private controllerManager;
    private responseService;
    private moduleManager;
    private sharedEventManager;
    constructor(appConfig: ConfigType);
    private bootstrap;
    getLogger(): LoggerService;
    getRouter(): RouterService;
    getServer(): ServerService;
    getControllerManager(): ControllerManager;
    getModuleManager(): ModuleManager;
    getResponseService(): ResponseService;
    getServiceManager(): ServiceManager;
    getConfigOf<T>(section: string): T;
    getConfig(): Config;
    launch(): Promise<this>;
}
