"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const winston_1 = __importDefault(require("winston"));
class Logger {
    constructor(config) {
        this.adapter = winston_1.default.createLogger(config);
    }
    getAdapter() {
        return this.adapter;
    }
    error(message, ...logArguments) {
        return this.adapter.error(message, ...logArguments);
    }
    warn(message, ...logArguments) {
        return this.adapter.warn(message, ...logArguments);
    }
    help(message, ...logArguments) {
        return this.adapter.help(message, ...logArguments);
    }
    data(message, ...logArguments) {
        return this.adapter.data(message, ...logArguments);
    }
    info(message, ...logArguments) {
        return this.adapter.info(message, ...logArguments);
    }
    debug(message, ...logArguments) {
        return this.adapter.debug(message, ...logArguments);
    }
    prompt(message, ...logArguments) {
        return this.adapter.prompt(message, ...logArguments);
    }
    http(message, ...logArguments) {
        return this.adapter.http(message, ...logArguments);
    }
    verbose(message, ...logArguments) {
        return this.adapter.verbose(message, ...logArguments);
    }
    input(message, ...logArguments) {
        return this.adapter.input(message, ...logArguments);
    }
    silly(message, ...logArguments) {
        return this.adapter.silly(message, ...logArguments);
    }
    emerg(message, ...logArguments) {
        return this.adapter.emerg(message, ...logArguments);
    }
    alert(message, ...logArguments) {
        return this.adapter.alert(message, ...logArguments);
    }
    crit(message, ...logArguments) {
        return this.adapter.crit(message, ...logArguments);
    }
    warning(message, ...logArguments) {
        return this.adapter.warning(message, ...logArguments);
    }
    notice(message, ...logArguments) {
        return this.adapter.notice(message, ...logArguments);
    }
}
exports.Logger = Logger;
//# sourceMappingURL=Logger.js.map