/// <reference types="koa-bodyparser" />
import Koa, { Middleware } from 'koa';
import { ServerConfigInterface } from '../Config';
import { Application } from '../Application';
export declare class ServerService {
    private readonly server;
    private readonly application;
    private config;
    constructor(application: Application);
    use(...middlewares: Array<Middleware>): this;
    useBefore(middleware: string | Middleware, ...middlewares: Array<Middleware>): this;
    useAfter(middleware: string | Middleware, ...middlewares: Array<Middleware>): this;
    replace(middleware: string | Middleware, ...middlewares: Array<Middleware>): this;
    updateMiddleware(at: number, remove: number, ...middlewares: Array<Middleware>): this;
    indexOfMiddleware(middleware: string | Middleware): number;
    initialize(config: ServerConfigInterface): Promise<void>;
    getServer(): Koa;
    start(): this;
}
