"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const injectMetadataKey = Symbol('stix:di:inject');
exports.inject = (dependency, plugin) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(injectMetadataKey, target) || [];
        meta.push({ property, dependency, plugin });
        Reflect.defineMetadata(injectMetadataKey, meta, target);
    };
};
const patchMetadataKey = Symbol('stix:di:patch');
exports.patch = (methodName, method) => {
    return (target) => {
        const meta = Reflect.getMetadata(injectMetadataKey, target) || [];
        meta.push({ methodName, method });
        Reflect.defineMetadata(injectMetadataKey, meta, target);
    };
};
exports.getDependencies = (target) => Reflect.getMetadata(injectMetadataKey, target);
//# sourceMappingURL=di.js.map