"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const metadataKey = Symbol('stix:di:inject');
exports.inject = (dependency) => {
    return (target, propertyKey) => {
        const newMeta = Reflect.getMetadata(metadataKey, target) || {};
        if (!newMeta[propertyKey]) {
            newMeta[propertyKey] = [];
        }
        newMeta[propertyKey].push(dependency);
        Reflect.defineMetadata(metadataKey, newMeta, target);
    };
};
//# sourceMappingURL=inject.js.map